Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737194 - dev-libs/oniguruma-6.9.4 fails to link with LLD because of /usr/lib in the link command line
Summary: dev-libs/oniguruma-6.9.4 fails to link with LLD because of /usr/lib in the li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: CJK Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-08-15 05:20 UTC by Agostino Sarubbo
Modified: 2020-11-12 21:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,62.47 KB, text/plain)
2020-08-15 05:20 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-15 05:20:39 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-libs/oniguruma-6.9.4 fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-15 05:20:42 UTC
Created attachment 654696 [details]
build.log

build log and emerge --info
Comment 3 Larry the Git Cow gentoo-dev 2020-11-12 21:54:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39c4810d09793ce03a696a381b3d3d74c0c0f1d2

commit 39c4810d09793ce03a696a381b3d3d74c0c0f1d2
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
AuthorDate: 2020-11-12 08:00:00 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-11-12 21:54:35 +0000

    dev-libs/oniguruma: Fix building with linker LLD.
    
    Closes: https://bugs.gentoo.org/737194
    
    Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever@Apache.Org>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>

 dev-libs/oniguruma/oniguruma-6.9.6-r1.ebuild | 4 ++++
 1 file changed, 4 insertions(+)